<template>
    <view class="container">
		<view class="header">
			<view class="input-view">
				<uni-icon type="search" size="22" color="#666666"></uni-icon>
				<input confirm-type="search" @confirm="confirm" class="input" type="text" placeholder="输入搜索关键词" />
			</view>
		</view>
    	<view class="page-body">
    		<scroll-view class="nav-left" scroll-y :style="'height:' + height + 'px'">
    			<view class="nav-left-item" @click="categoryClickMain(item, index)" :key="index" :class="currentDep.name === item.name ? 'active' : ''"
    				v-for="(item,index) in deps">
    				{{ item.name }}
    			</view>
    		</scroll-view> 
    		<scroll-view class="nav-right" scroll-y :scroll-top="scrollTop" @scroll="scroll" :style="'height:'+height+'px'" scroll-with-animation>
    			<view class="uni-list">
    				<block v-for="(item,index) in currentDep.items" :key="index">
    					<view class="uni-list-cell" hover-class="uni-list-cell-hover">
    						<view class="uni-triplex-row">
    							<view class="uni-triplex-left">
    								<text class="uni-title uni-ellipsis">{{item.name}}</text>
    								<text class="uni-text">QQ:{{ item.qq }}</text>
    								
    							</view>
    							<view class="uni-triplex-right">
    								<text class="uni-h5">12:15</text>
    							</view>
    						</view>
    					</view>
    				</block>
    			</view>
    		</scroll-view>
    	</view>
    </view>
</template>

<script>
	import uniIcon from '../../components/uni-icon.vue';
	import service from '../../services';

    export default {
		components: {
			uniIcon
		},
        data() {
            return {
				deps: [],
				currentDep: {},
				height: 0,
				scrollTop: 0,
				scrollHeight: 0,
            }
        },
        methods: {
			scroll(e) {
				this.scrollHeight = e.detail.scrollHeight;
			},
			categoryClickMain(categroy, index) {
				this.currentDep = categroy;
				this.scrollTop = -this.scrollHeight * index;
			},
			async loadUsers(){
				let result = await service.user.getAlluser();
				if (result.length < 1) return;
				
				for (let item of result){
					if (!item.dep){
						item.dep = '未知';
					}
					let dep = this.deps.find(x => x.name === item.dep);
					if (!dep){
						dep = { name: item.dep, items: [] };
						this.deps.push(dep);
					}
					dep.items.push(item);
				}
				this.currentDep = this.deps[0];
				this.height = uni.getSystemInfoSync().windowHeight;
			},
			confirm() {
				uni.showToast({
					title: '搜索'
				})
			}
        },
        onLoad() {
			this.loadUsers();
        }
    }
</script>

<style>
	.page-body {
		display: flex;
	}

	.nav {
		display: flex;
		width: 100%;
	}

	.nav-left {
		width: 30%;
	}

	.nav-left-item {
		height: 100upx;
		border-right: solid 1px #E0E0E0;
		border-bottom: solid 1px #E0E0E0;
		font-size: 30upx;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.nav-right {
		width: 70%;
	}

	.nav-right-item {
		width: 28%;
		height: 220upx;
		float: left;
		text-align: center;
		padding: 11upx;
		font-size: 28upx;
	}

	.nav-right-item image {
		width: 100upx;
		height: 100upx;
	}

	.active {
		color: #007AFF;
	}
	
	.header {
		display: flex;
		position: relative;
		width: 100%;
		background-color: #FFFFFF;
		overflow: hidden;
	}
	
	.header view{
		line-height:44px;
	}

	.input-view {
		width: 92%;
		display: flex;
		background-color: #e7e7e7;
		height: 30px;
		border-radius: 15px;
		padding: 0 4%;
		flex-wrap:nowrap;
		margin:7px 0;
		line-height:30px;
	}
	
	.input-view .uni-icon{
		line-height:30px !important;
	}

	.input-view .input {
		height:30px;
		line-height:30px;
		width:94%;
		padding: 0 3%;
	}
</style>
